<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <variable
            name="onCloseClickListener"
            type="android.view.View.OnClickListener" />

        <variable
            name="onContinueClickListener"
            type="android.view.View.OnClickListener" />
    </data>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        tools:background="@color/black20">

        <ImageView
            android:id="@+id/bg_dialog_member_retention"
            android:layout_width="0dp"
            android:layout_height="0dp"
            android:background="@drawable/bg_dialog_member_retention"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintDimensionRatio="280:244"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintVertical_bias="0.5833333333333333"
            app:layout_constraintWidth_percent="0.7777777777777778" />

        <Space
            android:id="@+id/space1"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            app:layout_constraintBottom_toTopOf="@id/bg_dialog_member_retention"
            app:layout_constraintDimensionRatio="360:30" />

        <ImageView
            android:id="@+id/icon_retention_describe"
            android:layout_width="0dp"
            android:layout_height="0dp"
            android:src="@drawable/icon_member_retention_header"
            app:layout_constraintDimensionRatio="123:100"
            app:layout_constraintEnd_toEndOf="@+id/bg_dialog_member_retention"
            app:layout_constraintStart_toStartOf="@id/bg_dialog_member_retention"
            app:layout_constraintTop_toTopOf="@+id/space1"
            app:layout_constraintWidth_percent="0.3416666666666667" />

        <TextView
            android:id="@+id/tv_retention_give_up_text"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="14dp"
            android:text="@string/dialog_kind_tips"
            android:textColor="#6A3420"
            android:textSize="14sp"
            app:layout_constraintBottom_toBottomOf="@+id/bg_dialog_member_retention"
            app:layout_constraintLeft_toLeftOf="@+id/bg_dialog_member_retention"
            app:layout_constraintRight_toRightOf="@+id/bg_dialog_member_retention"
            app:layout_constraintTop_toTopOf="@+id/bg_dialog_member_retention"
            app:layout_constraintVertical_bias="0.3906976744186047" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="4dp"
            android:text="@string/retention_give_up_text"
            android:textColor="#6A3420"
            android:textSize="20sp"
            android:textStyle="bold"
            app:layout_constraintEnd_toEndOf="@id/bg_dialog_member_retention"
            app:layout_constraintStart_toStartOf="@id/bg_dialog_member_retention"
            app:layout_constraintTop_toBottomOf="@+id/tv_retention_give_up_text" />

        <TextView
            android:layout_width="0dp"
            android:layout_height="0dp"
            android:layout_marginTop="24dp"
            android:background="@drawable/bg_member_retention_buy_btn"
            android:gravity="center"
            android:onClickListener="@{onContinueClickListener}"
            android:text="@string/retention_continue_text"
            android:textColor="#6A3420"
            android:textSize="16sp"
            android:textStyle="bold"
            app:layout_constraintBottom_toBottomOf="@+id/bg_dialog_member_retention"
            app:layout_constraintDimensionRatio="232:48"
            app:layout_constraintLeft_toLeftOf="@+id/bg_dialog_member_retention"
            app:layout_constraintRight_toRightOf="@+id/bg_dialog_member_retention"
            app:layout_constraintTop_toTopOf="@+id/bg_dialog_member_retention"
            app:layout_constraintVertical_bias="0.8775510204081633"
            app:layout_constraintWidth_percent="0.6444444444444444" />

        <ImageView
            android:layout_width="0dp"
            android:layout_height="0dp"
            android:layout_margin="12dp"
            android:onClickListener="@{onCloseClickListener}"
            android:src="@drawable/icon_member_close"
            app:layout_constraintDimensionRatio="1:1"
            app:layout_constraintEnd_toEndOf="@+id/bg_dialog_member_retention"
            app:layout_constraintTop_toTopOf="@+id/bg_dialog_member_retention"
            app:layout_constraintWidth_percent="0.0666666666666667" />

    </androidx.constraintlayout.widget.ConstraintLayout>
</layout>